using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.TreeEngine;
using CMS.GlobalHelper;
using CMS.PortalEngine;
using CMS.CMSHelper;

public partial class CMSDesk_Content_DocumentFrameset : CMSDeskPage
{
    protected string viewpage = "~/CMSDesk/blank.htm";
    
    protected void Page_Load(object sender, EventArgs e)
    {
        bool checkCulture = false;
        ViewModeEnum newMode = ViewModeEnum.Unknown;

        switch (ValidationHelper.GetString(Request.QueryString["action"], "edit").ToLower())
        {
            // New dialog / new page form
            case "new":
                if ((Request.QueryString["classid"] != null) && (Request.QueryString["classid"] != ""))
                {
                    viewpage = "EditFrameset.aspx";
                }
                else
                {
                    viewpage = "new.aspx";
                }
                break;

            case "delete":
                // Delete dialog
                viewpage = "delete.aspx";
                break;

            case "preview":
                // Preview mode
                viewpage = "preview.aspx";
                break;

            case "listing":
                // Listing mode
                viewpage = "listing.aspx";
                break;

            case "livesite":
                // Live site mode
                viewpage = "livesite.aspx";
                break;

            case "newculture":
                // New document culture
                viewpage = "EditFrameset.aspx";
                newMode = ViewModeEnum.EditForm;
                break;

            default:
                // Edit mode
                viewpage = "EditFrameset.aspx";
                checkCulture = true;
                break;
        }

        // If culture version should be checked, check
        if (checkCulture)
        {
            // Current Node ID
            int nodeId = 0;
            if (Request.QueryString["nodeid"] != null)
            {
                nodeId = ValidationHelper.GetInteger(Request.QueryString["nodeid"], 0);
            }
            // Get the node
            TreeProvider tree = new TreeProvider();
            tree.CombineWithDefaultCulture = false;
            CMS.TreeEngine.TreeNode node = tree.SelectSingleNode(nodeId);
            if (node != null)
            {
                // Document exists, do nothing
            }
            else
            {
                // Document does not exist -> redirect to new culture version creation dialog
                viewpage = "NewCultureVersion.aspx";
            }
        }

        if (newMode != ViewModeEnum.Unknown)
        {
            // Current Node ID
            int nodeId = 0;
            if (Request.QueryString["nodeid"] != null)
            {
                nodeId = ValidationHelper.GetInteger(Request.QueryString["nodeid"], 0);
            }
            // Get the node
            TreeProvider tree = new TreeProvider();
            CMS.TreeEngine.TreeNode node = tree.SelectSingleNode(nodeId, TreeProvider.ALL_CULTURES);
            if (node != null)
            {
                if (TreePathUtils.IsMenuItemType(node.NodeClassName))
                {
                    CMSContext.MenuItemViewMode = newMode;
                    // Set new mode if coupled mode is live
                    if ((newMode != ViewModeEnum.LiveSite) && (CMSContext.ViewMode == ViewModeEnum.LiveSite))
                    {
                        CMSContext.ViewMode = newMode;
                    }
                }
                else
                {
                    CMSContext.ViewMode = newMode;
                    // Set new mode if coupled mode is live
                    if ((newMode != ViewModeEnum.LiveSite) && (CMSContext.MenuItemViewMode == ViewModeEnum.LiveSite))
                    {
                        CMSContext.MenuItemViewMode = newMode;
                    }
                }
            }
        }

        // Apply the additional transformations to the view page URL
        viewpage += Request.Url.Query;
        viewpage = ResolveUrl(viewpage);
    }
}
