using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.Ecommerce;

public partial class CMSDesk_Tools_Ecommerce_Configuration_ShippingOption_EditHeader : CMSDeskPage
{
    protected int shippingOptionID = 0;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        shippingOptionID = ValidationHelper.GetInteger(Request.QueryString["ShippingOptionID"], 0);

        if (!IsPostBack)
        {
            InitalizeMenu();
        }

        string shippingOptionName = "";
        ShippingOptionInfo soi = ShippingOptionInfoProvider.GetShippingOptionInfo(shippingOptionID);
        if (soi != null)
        {
            shippingOptionName = ResHelper.LocalizeString(soi.ShippingOptionDisplayName);
        }
            

        // initializes page title and BreadCrumbs
        string[,] pageTitleTabs = new string[2, 3];
        pageTitleTabs[0, 0] = ResHelper.GetString("ShippingOption_EditHeader.ItemListLink");
        pageTitleTabs[0, 1] = "~/CMSDesk/Tools/Ecommerce/Configuration/ShippingOptions/ShippingOption_List.aspx";
        pageTitleTabs[0, 2] = "configEdit";
        pageTitleTabs[1, 0] = shippingOptionName;
        pageTitleTabs[1, 1] = "";
        pageTitleTabs[1, 2] = "";
        PageTitle.Breadcrumbs = pageTitleTabs;
        PageTitle.TitleText = ResHelper.GetString("ShippingOption_EditHeader.TitleText");
        PageTitle.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/Tools/Ecommerce/Configuration/Shipping/shipping.gif";
    }

    /// <summary>
    /// Initializes edit menu
    /// </summary>
    protected void InitalizeMenu()
    {
        BasicTabControlMenu.Tabs = new string[2, 4];
        BasicTabControlMenu.Tabs[0, 0] = ResHelper.GetString("General.General");
        BasicTabControlMenu.Tabs[0, 2] = "ShippingOption_Edit_General.aspx?shippingOptionID=" + shippingOptionID.ToString();
        BasicTabControlMenu.Tabs[1, 0] = ResHelper.GetString("ShippingOption_EditHeader.PaymentMethods");
        BasicTabControlMenu.Tabs[1, 2] = "ShippingOption_Edit_Payment.aspx?shippingOptionID=" + shippingOptionID.ToString();
        BasicTabControlMenu.UrlTarget = "shippingOptionContent";
        
       
    }
}
