CREATE TABLE [CMS_ACLItem] (
		[ACLItemID]                int NOT NULL IDENTITY(1, 1),
		[ACLID]                    int NOT NULL,
		[UserID]                   int NULL,
		[RoleID]                   int NULL,
		[Allowed]                  int NOT NULL,
		[Denied]                   int NOT NULL,
		[LastModified]             datetime NOT NULL,
		[LastModifiedByUserID]     int NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_ACLItem]
	ADD
	CONSTRAINT [PK__CMS_ACLItem__0DAF0CB0]
	PRIMARY KEY
	([ACLItemID])
	ON [PRIMARY]
ALTER TABLE [CMS_ACLItem]
	ADD
	CONSTRAINT [DF__CMS_ACLIt__Allow__0EA330E9]
	DEFAULT ((0)) FOR [Allowed]
ALTER TABLE [CMS_ACLItem]
	ADD
	CONSTRAINT [DF__CMS_ACLIt__Denie__0F975522]
	DEFAULT ((0)) FOR [Denied]
IF OBJECT_ID(N'[CMS_ACLItem]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_ACL]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_ACLIt__ACLID__108B795B]') IS NULL
BEGIN
		ALTER TABLE [CMS_ACLItem]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_ACLIt__ACLID__108B795B]
			FOREIGN KEY ([ACLID]) REFERENCES [CMS_ACL] ([ACLID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_ACLItem]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_ACLIt__LastM__1367E606]') IS NULL
BEGIN
		ALTER TABLE [CMS_ACLItem]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_ACLIt__LastM__1367E606]
			FOREIGN KEY ([LastModifiedByUserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_ACLItem]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Role]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_ACLIt__RoleI__117F9D94]') IS NULL
BEGIN
		ALTER TABLE [CMS_ACLItem]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_ACLIt__RoleI__117F9D94]
			FOREIGN KEY ([RoleID]) REFERENCES [CMS_Role] ([RoleID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_ACLItem]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_ACLIt__UserI__1273C1CD]') IS NULL
BEGIN
		ALTER TABLE [CMS_ACLItem]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_ACLIt__UserI__1273C1CD]
			FOREIGN KEY ([UserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_ACLItem]
	ON [CMS_ACLItem] ([ACLID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_ACLItem_1]
	ON [CMS_ACLItem] ([UserID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_ACLItem_2]
	ON [CMS_ACLItem] ([RoleID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_ACLItem_3]
	ON [CMS_ACLItem] ([LastModifiedByUserID])
	ON [PRIMARY]
