CREATE TABLE [CMS_EventLog] (
		[EventID]              int NOT NULL IDENTITY(1, 1),
		[EventType]            nvarchar(5) NOT NULL,
		[EventTime]            datetime NOT NULL,
		[Source]               nvarchar(100) NOT NULL,
		[EventCode]            nvarchar(100) NOT NULL,
		[UserID]               int NULL,
		[UserName]             nvarchar(100) NULL,
		[IPAddress]            nvarchar(100) NULL,
		[NodeID]               int NULL,
		[DocumentName]         nvarchar(100) NULL,
		[EventDescription]     ntext NULL,
		[SiteID]               int NULL,
		[EventUrl]             nvarchar(2000) NULL,
		[EventMachineName]     nvarchar(100) NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_EventLog]
	ADD
	CONSTRAINT [PK__CMS_EventLog__4316F928]
	PRIMARY KEY
	([EventID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_EventLog]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Tree]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Event__NodeI__44FF419A]') IS NULL
BEGIN
		ALTER TABLE [CMS_EventLog]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Event__NodeI__44FF419A]
			FOREIGN KEY ([NodeID]) REFERENCES [CMS_Tree] ([NodeID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_EventLog]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Event__SiteI__440B1D61]') IS NULL
BEGIN
		ALTER TABLE [CMS_EventLog]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Event__SiteI__440B1D61]
			FOREIGN KEY ([SiteID]) REFERENCES [CMS_Site] ([SiteID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_EventLog]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Event__UserI__45F365D3]') IS NULL
BEGIN
		ALTER TABLE [CMS_EventLog]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Event__UserI__45F365D3]
			FOREIGN KEY ([UserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_EventLog]
	ON [CMS_EventLog] ([DocumentName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_1]
	ON [CMS_EventLog] ([EventCode])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_2]
	ON [CMS_EventLog] ([EventTime])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_3]
	ON [CMS_EventLog] ([EventType])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_4]
	ON [CMS_EventLog] ([NodeID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_5]
	ON [CMS_EventLog] ([UserID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_6]
	ON [CMS_EventLog] ([UserName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_EventLog_7]
	ON [CMS_EventLog] ([SiteID])
	ON [PRIMARY]
