CREATE TABLE [CMS_PageTemplate] (
		[PageTemplateID]                              int NOT NULL IDENTITY(1, 1),
		[PageTemplateDisplayName]                     nvarchar(200) NOT NULL,
		[PageTemplateCodeName]                        nvarchar(100) NULL,
		[PageTemplateDescription]                     ntext NULL,
		[PageTemplateFile]                            nvarchar(400) NOT NULL,
		[PageTemplateIsPortal]                        bit NULL,
		[PageTemplateCategoryID]                      int NULL,
		[PageTemplateLayoutID]                        int NULL,
		[PageTemplateWebParts]                        ntext NULL,
		[PageTemplateIsReusable]                      bit NULL,
		[PageTemplateShowAsMasterTemplate]            bit NULL,
		[PageTemplateInheritPageLevels]               nvarchar(200) NULL,
		[PageTemplateLayout]                          ntext NULL,
		[PageTemplateLayoutCheckedOutFileName]        nvarchar(450) NULL,
		[PageTemplateLayoutCheckedOutByUserID]        int NULL,
		[PageTemplateLayoutCheckedOutMachineName]     nvarchar(50) NULL,
		[PageTemplateVersionGUID]                     nvarchar(50) NULL,
		[PageTemplateHeader]                          ntext NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_PageTemplate]
	ADD
	CONSTRAINT [PK__CMS_PageTemplate__300424B4]
	PRIMARY KEY
	([PageTemplateID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_PageTemplate]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Layout]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_PageT__PageT__30F848ED]') IS NULL
BEGIN
		ALTER TABLE [CMS_PageTemplate]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_PageT__PageT__30F848ED]
			FOREIGN KEY ([PageTemplateLayoutID]) REFERENCES [CMS_Layout] ([LayoutID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_PageTemplate]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_PageTemplateCategory]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_PageT__PageT__31EC6D26]') IS NULL
BEGIN
		ALTER TABLE [CMS_PageTemplate]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_PageT__PageT__31EC6D26]
			FOREIGN KEY ([PageTemplateCategoryID]) REFERENCES [CMS_PageTemplateCategory] ([CategoryID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_PageTemplate]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_CMS_PageTemplate_CMS_User]') IS NULL
BEGIN
		ALTER TABLE [CMS_PageTemplate]
			WITH NOCHECK
			ADD CONSTRAINT [FK_CMS_PageTemplate_CMS_User]
			FOREIGN KEY ([PageTemplateLayoutCheckedOutByUserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_PageTemplate]
	ON [CMS_PageTemplate] ([PageTemplateDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_1]
	ON [CMS_PageTemplate] ([PageTemplateCodeName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_2]
	ON [CMS_PageTemplate] ([PageTemplateFile])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_3]
	ON [CMS_PageTemplate] ([PageTemplateIsPortal])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_4]
	ON [CMS_PageTemplate] ([PageTemplateIsReusable])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_5]
	ON [CMS_PageTemplate] ([PageTemplateLayoutID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_6]
	ON [CMS_PageTemplate] ([PageTemplateShowAsMasterTemplate])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_7]
	ON [CMS_PageTemplate] ([PageTemplateCategoryID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_PageTemplate_8]
	ON [CMS_PageTemplate] ([PageTemplateLayoutCheckedOutByUserID])
	ON [PRIMARY]
