CREATE TABLE [CMS_Site] (
		[SiteID]                               int NOT NULL IDENTITY(1, 1),
		[SiteName]                             nvarchar(100) NOT NULL,
		[SiteDisplayName]                      nvarchar(200) NOT NULL,
		[SiteDescription]                      ntext NULL,
		[SiteStatus]                           nvarchar(20) NOT NULL,
		[SiteDomainName]                       nvarchar(400) NOT NULL,
		[SiteDefaultStylesheetID]              int NULL,
		[SiteDefaultVisitorCulture]            nvarchar(50) NULL,
		[SiteDefaultEditorStylesheet]          int NULL,
		[SiteStoreAllowAnonymousCustomers]     bit NULL,
		[SiteStoreShippingFreeLimit]           float NULL,
		[SiteInvoiceTemplate]                  ntext NULL,
		[SiteDefaultCountryID]                 int NULL,
		[SiteShowTaxRegistrationID]            bit NULL,
		[SiteShowOrganizationID]               bit NULL,
		[SiteSendStoreEmailsFrom]              nvarchar(100) NULL,
		[SiteSendOrderNotificationTo]          nvarchar(100) NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_Site]
	ADD
	CONSTRAINT [PK__CMS_Site__7E6CC920]
	PRIMARY KEY
	([SiteID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_CssStylesheet]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Site__SiteDe__7F60ED59]') IS NULL
BEGIN
		ALTER TABLE [CMS_Site]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Site__SiteDe__7F60ED59]
			FOREIGN KEY ([SiteDefaultStylesheetID]) REFERENCES [CMS_CssStylesheet] ([StylesheetID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_Site]
	ON [CMS_Site] ([SiteName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Site_1]
	ON [CMS_Site] ([SiteDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Site_2]
	ON [CMS_Site] ([SiteStatus])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Site_5]
	ON [CMS_Site] ([SiteDefaultStylesheetID])
	ON [PRIMARY]
