CREATE TABLE [CMS_Transformation] (
		[TransformationID]                        int NOT NULL IDENTITY(1, 1),
		[TransformationName]                      nvarchar(100) NOT NULL,
		[TransformationCode]                      ntext NOT NULL,
		[TransformationType]                      nvarchar(50) NOT NULL,
		[TransformationClassID]                   int NOT NULL,
		[TransformationCheckedOutByUserID]        int NULL,
		[TransformationCheckedOutMachineName]     nvarchar(100) NULL,
		[TransformationCheckedOutFilename]        nvarchar(450) NULL,
		[TransformationVersionGUID]               nvarchar(50) NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_Transformation]
	ADD
	CONSTRAINT [PK__CMS_Transformati__66603565]
	PRIMARY KEY
	([TransformationID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_Transformation]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Class]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Trans__Trans__6754599E]') IS NULL
BEGIN
		ALTER TABLE [CMS_Transformation]
			WITH NOCHECK
			ADD CONSTRAINT [FK__CMS_Trans__Trans__6754599E]
			FOREIGN KEY ([TransformationClassID]) REFERENCES [CMS_Class] ([ClassID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[CMS_Transformation]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_User]') IS NOT NULL
	AND OBJECT_ID(N'[FK_CMS_Transformation_CMS_User]') IS NULL
BEGIN
		ALTER TABLE [CMS_Transformation]
			WITH NOCHECK
			ADD CONSTRAINT [FK_CMS_Transformation_CMS_User]
			FOREIGN KEY ([TransformationCheckedOutByUserID]) REFERENCES [CMS_User] ([UserID])
			NOT FOR REPLICATION
END
CREATE INDEX [IX_CMS_Transformation]
	ON [CMS_Transformation] ([TransformationClassID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Transformation_1]
	ON [CMS_Transformation] ([TransformationName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Transformation_2]
	ON [CMS_Transformation] ([TransformationType])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_Transformation_3]
	ON [CMS_Transformation] ([TransformationCheckedOutByUserID])
	ON [PRIMARY]
