CREATE TABLE [CMS_User] (
		[UserID]                        int NOT NULL IDENTITY(1, 1),
		[UserName]                      nvarchar(100) NOT NULL,
		[FirstName]                     nvarchar(100) NULL,
		[MiddleName]                    nvarchar(100) NULL,
		[LastName]                      nvarchar(100) NULL,
		[FullName]                      nvarchar(200) NOT NULL,
		[Email]                         nvarchar(100) NULL,
		[UserPassword]                  nvarchar(100) NOT NULL,
		[PreferredCultureCode]          nvarchar(10) NULL,
		[PreferredUICultureCode]        nvarchar(10) NULL,
		[UserEnabled]                   bit NOT NULL,
		[UserIsEditor]                  bit NOT NULL,
		[UserIsGlobalAdministrator]     bit NOT NULL,
		[UserIsExternal]                bit NULL,
		[UserPasswordFormat]            nvarchar(10) NULL,
		[UserCreated]                   datetime NULL,
		[LastLogon]                     datetime NULL,
		[UserNickName]                  nvarchar(200) NULL,
		[UserPicture]                   nvarchar(500) NULL,
		[UserSignature]                 ntext NULL,
		[UserURLReferrer]               nvarchar(200) NULL,
		[UserCampaign]                  nvarchar(100) NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [PK__CMS_User__0AD2A005]
	PRIMARY KEY
	([UserID])
	ON [PRIMARY]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [UQ__CMS_User__0BC6C43E]
	UNIQUE
	([UserName])
	ON [PRIMARY]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_FullName]
	DEFAULT ('') FOR [FullName]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_UserEnabled]
	DEFAULT ((0)) FOR [UserEnabled]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_UserIsEditor]
	DEFAULT ((0)) FOR [UserIsEditor]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_UserIsExternal]
	DEFAULT ((0)) FOR [UserIsExternal]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_UserIsGlobalAdministrator]
	DEFAULT ((0)) FOR [UserIsGlobalAdministrator]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_UserName]
	DEFAULT ('') FOR [UserName]
ALTER TABLE [CMS_User]
	ADD
	CONSTRAINT [DEFAULT_CMS_User_UserPassword]
	DEFAULT ('') FOR [UserPassword]
CREATE INDEX [IX_CMS_User_1]
	ON [CMS_User] ([Email])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_User_2]
	ON [CMS_User] ([FullName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_User_3]
	ON [CMS_User] ([UserPassword])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_User_4]
	ON [CMS_User] ([UserEnabled])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_User_5]
	ON [CMS_User] ([UserIsEditor])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_User_6]
	ON [CMS_User] ([UserIsGlobalAdministrator])
	ON [PRIMARY]
