CREATE TABLE [COM_CurrencyExchangeRate] (
		[ExchagneRateID]               int NOT NULL IDENTITY(1, 1),
		[ExchangeRateToCurrencyID]     int NOT NULL,
		[ExchangeRateValue]            float NOT NULL,
		[ExchangeTableID]              int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_CurrencyExchangeRate]
	ADD
	CONSTRAINT [PK_COM_CurrencyExchangeRate]
	PRIMARY KEY
	([ExchagneRateID])
	ON [PRIMARY]
IF OBJECT_ID(N'[COM_CurrencyExchangeRate]') IS NOT NULL
	AND OBJECT_ID(N'[COM_Currency]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_CurrencyExchangeRate_COM_Currency1]') IS NULL
BEGIN
		ALTER TABLE [COM_CurrencyExchangeRate]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_CurrencyExchangeRate_COM_Currency1]
			FOREIGN KEY ([ExchangeRateToCurrencyID]) REFERENCES [COM_Currency] ([CurrencyID])
			NOT FOR REPLICATION
END
IF OBJECT_ID(N'[COM_CurrencyExchangeRate]') IS NOT NULL
	AND OBJECT_ID(N'[COM_ExchangeTable]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_CurrencyExchangeRate_COM_ExchangeTable]') IS NULL
BEGIN
		ALTER TABLE [COM_CurrencyExchangeRate]
			WITH NOCHECK
			ADD CONSTRAINT [FK_COM_CurrencyExchangeRate_COM_ExchangeTable]
			FOREIGN KEY ([ExchangeTableID]) REFERENCES [COM_ExchangeTable] ([ExchangeTableID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_COM_CurrencyExchangeRate]
	ON [COM_CurrencyExchangeRate] ([ExchangeRateToCurrencyID])
	ON [PRIMARY]
CREATE INDEX [FK_COM_CurrencyExchangeRate_1]
	ON [COM_CurrencyExchangeRate] ([ExchangeTableID])
	ON [PRIMARY]
