CREATE TABLE [Forums_ForumSubscription] (
		[SubscriptionID]          int NOT NULL IDENTITY(1, 1),
		[SubscriptionUserID]      int NULL,
		[SubscriptionEmail]       nvarchar(100) NULL,
		[SubscriptionForumID]     int NOT NULL,
		[SubscriptionPostID]      int NULL,
		[SubscriptionGUID]        uniqueidentifier NULL
)
ON [PRIMARY]
ALTER TABLE [Forums_ForumSubscription]
	ADD
	CONSTRAINT [PK_Forums_ForumSubscription]
	PRIMARY KEY
	([SubscriptionID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Forums_ForumSubscription]') IS NOT NULL
	AND OBJECT_ID(N'[Forums_Forum]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumSubscription_Forums_Forum]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumSubscription]
			WITH NOCHECK
			ADD CONSTRAINT [FK_Forums_ForumSubscription_Forums_Forum]
			FOREIGN KEY ([SubscriptionForumID]) REFERENCES [Forums_Forum] ([ForumID])
			NOT FOR REPLICATION
END
CREATE INDEX [FK_Forums_ForumSubscription]
	ON [Forums_ForumSubscription] ([SubscriptionForumID])
	ON [PRIMARY]
