CREATE TABLE [Reporting_ReportGraph] (
		[GraphID]                         int NOT NULL IDENTITY(1, 1),
		[GraphName]                       nvarchar(100) NOT NULL,
		[GraphDisplayName]                nvarchar(450) NOT NULL,
		[GraphQuery]                      ntext NOT NULL,
		[GraphQueryIsStoredProcedure]     bit NOT NULL,
		[GraphType]                       nvarchar(50) NOT NULL,
		[GraphReportID]                   int NOT NULL,
		[GraphTitle]                      nvarchar(200) NULL,
		[GraphXAxisTitle]                 nvarchar(200) NULL,
		[GraphYAxisTitle]                 nvarchar(200) NULL,
		[GraphWidth]                      int NULL,
		[GraphHeight]                     int NULL,
		[GraphLegendPosition]             int NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Reporting_ReportGraph]
	ADD
	CONSTRAINT [PK_Reporting_ReportGraph]
	PRIMARY KEY
	([GraphID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Reporting_ReportGraph]') IS NOT NULL
	AND OBJECT_ID(N'[Reporting_Report]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Reporting_ReportGraph_Reporting_Report]') IS NULL
BEGIN
		ALTER TABLE [Reporting_ReportGraph]
			ADD CONSTRAINT [FK_Reporting_ReportGraph_Reporting_Report]
			FOREIGN KEY ([GraphReportID]) REFERENCES [Reporting_Report] ([ReportID])
END
CREATE INDEX [FK_Reporting_ReportingGraph]
	ON [Reporting_ReportGraph] ([GraphReportID])
	ON [PRIMARY]
CREATE INDEX [IX_Reporting_ReportGraph]
	ON [Reporting_ReportGraph] ([GraphName])
	ON [PRIMARY]
