using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.CMSHelper;
using CMS.GlobalHelper;
using CMS.LicenseProvider;

public partial class CMSMessages_invalidlicensekey : MessagePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string mRawUrl = "";
        LicenseValidationEnum mResult = LicenseValidationEnum.NotAvailable;
        string mStringResult = "";

        this.titleElem.TitleText = ResHelper.GetString("InvalidLicense.Header");
        this.titleElem.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSSiteManager/denied.gif";

        this.lblRawUrl.Text = ResHelper.GetString("InvalidLicense.RawUrl");
        this.lblResult.Text = ResHelper.GetString("InvalidLicense.Result");

        if (Request.QueryString["rawUrl"] != null && Request.QueryString["rawUrl"].ToString() != "")
        {
            mRawUrl = Request.QueryString["rawUrl"].ToString();
        }
        else
        {
            lblRawUrl.Visible = false;
        }

        if (Request.QueryString["Result"] != null && Request.QueryString["Result"] != "")
        {
            mResult = (LicenseValidationEnum) Convert.ToInt32( Request.QueryString["Result"] );

            switch (mResult)
            {
                case LicenseValidationEnum.Expired : mStringResult = "Key expired"; break;
                case LicenseValidationEnum.Invalid : mStringResult = "Invalid key"; break;
                case LicenseValidationEnum.Valid   : mStringResult = "Valid key"; break;
                case LicenseValidationEnum.WrongFormat : mStringResult = "Wrong format"; break;
                default: mStringResult = "Not available"; break;
            }
                
        }

        lblRawUrlValue.Text = mRawUrl;

        lblResultValue.Text = mStringResult;

    }
}
