using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.SiteProvider;
using CMS.GlobalHelper;

public partial class CMSSiteManager_Development_Countries_Country_Edit_Header : SiteManagerPage
{
    
    protected void Page_Load(object sender, EventArgs e)
    {

        CountryInfo ci = null;
        string currentCountry = "";
        int countryId = 0;

        if ((Request.QueryString["countryId"] != null) && (Request.QueryString["countryId"] != ""))
        {
            countryId = Convert.ToInt32(Request.QueryString["countryId"]);

            ci = CountryInfoProvider.GetCountryInfo(countryId);
            currentCountry = ResHelper.LocalizeString(ci.CountryDisplayName);
        }
        
        string[,] pageTitleTabs = new string[2, 3];
        pageTitleTabs[0, 0] = ResHelper.GetString("Country_Edit.ItemListLink");
        pageTitleTabs[0, 1] = "~/CMSSiteManager/Development/Countries/Country_List.aspx";
        pageTitleTabs[0, 2] = "devmain";
        pageTitleTabs[1, 0] = currentCountry;
        pageTitleTabs[1, 1] = "";
        pageTitleTabs[1, 2] = "";

        pagetitleCountryEdit.Breadcrumbs = pageTitleTabs;
        pagetitleCountryEdit.TitleText = ResHelper.GetString("Country_Edit.HeaderCaption");
        pagetitleCountryEdit.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSSiteManager/Development/Countries/countries.gif";

        BasicTabControlMenu.Tabs = new string[2, 4];
        BasicTabControlMenu.Tabs[0, 0] = ResHelper.GetString("Country_Edit.General");
        BasicTabControlMenu.Tabs[0, 2] = "Country_Edit_General.aspx?countryID=" + countryId;
        BasicTabControlMenu.Tabs[1, 0] = ResHelper.GetString("Country_Edit.States");
        BasicTabControlMenu.Tabs[1, 2] = "Country_Edit_State_List.aspx?countryID=" + countryId;
        BasicTabControlMenu.UrlTarget = "content";

    }
}
