using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.SiteProvider;
using CMS.GlobalHelper;

public partial class CMSSiteManager_Development_UICultures_UICulture_New : SiteManagerPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        lblUICultureCode.Text = ResHelper.GetString("UICultures_New.CultureCode");
        lblUICultureName.Text = ResHelper.GetString("UICultures_New.CultureName");

        btnOK.Text = ResHelper.GetString("UICultures_New.OK");

        rfvUICultureCode.ErrorMessage = ResHelper.GetString("UICultures_New.EmptyCultureCode");
        rfvUICultureName.ErrorMessage = ResHelper.GetString("UICultures_New.EmptyCultureName");     

        string uiCultures = ResHelper.GetString("UICultures.UICultures");
        string currentUICulture = ResHelper.GetString("UICultures.NewUICulture");
        

        string UICulturesURL = "~/CMSSiteManager/Development/UICultures/UICulture_List.aspx";

        // initializes page title
        string[,] pageTitleTabs = new string[2, 3];
        pageTitleTabs[0, 0] = uiCultures;
        pageTitleTabs[0, 1] = UICulturesURL;
        pageTitleTabs[0, 2] = "devmain";
        pageTitleTabs[1, 0] = currentUICulture;
        pageTitleTabs[1, 1] = "";
        pageTitleTabs[1, 2] = "";
        PageTitle.Breadcrumbs = pageTitleTabs;
        PageTitle.TitleText = ResHelper.GetString("Development-UICulture_List.Title"); ;       
        PageTitle.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSSiteManager/Development/UICultures/uicultures.gif";
    }

    protected void btnOK_Click(object sender, EventArgs e)
    {
        // finds whether required fields are not empty
        string result = new Validator().NotEmpty(txtUICultureCode.Text, ResHelper.GetString("UICultures_New.EmptyCultureCode")).NotEmpty(txtUICultureName, ResHelper.GetString("UICultures_New.EmptyCultureName")).Result;

        try
        {
            System.Globalization.CultureInfo objekt = new System.Globalization.CultureInfo(txtUICultureCode.Text);
        }
        catch
        {
            result = ResHelper.GetString("UICulture.ErrorNoGlobalCulture");
        }

        if (result == "")
        {
            try
            {
                UICultureInfo ui = UICultureInfoProvider.GetUICultureInfo(txtUICultureCode.Text);
                lblError.Visible = true;
                lblError.Text = ResHelper.GetString("UICulture.UICultureAlreadyExist");
            }
            catch 
            {
                int uiCultureId = SaveNewUICulture();

                if (uiCultureId > 0)
                {
                    Response.Redirect("UICulture_Frameset.aspx?uicultureid=" + uiCultureId + "&update=1");
                }            
            }            
        }
        else
        {
            lblError.Visible = true;
            lblError.Text = result;
        }
    }

    protected int SaveNewUICulture()
    {
        UICultureInfo ui = new UICultureInfo();
        ui.UICultureCode = txtUICultureCode.Text;
        ui.UICultureName = txtUICultureName.Text;
        UICultureInfoProvider.SetUICultureInfo(ui);
        return ui.UICultureID;
    }
}
